// main.
// iife/cjs usage extends esm default export - so import it all
// Automated module export and auto-install https://vuejs.org/v2/cookbook/packaging-sfc-for-npm.html
import plugin, * as components from '../src/entry.esm';
import App from './App.vue';
import Vue from 'vue';


// Attach named exports directly to plugin.
Object.entries(components).forEach(([componentName, component]) => {
    if (componentName !== 'default') {
        plugin[componentName] = component;
    }
});


new Vue({
   render: ( h ) => h( App ),
}).$mount( '#app' );

export default plugin;
